import { Attributes } from '@splitsoftware/splitio/types/splitio';
/**
 * Returns a treatment and it's config.
 * @param {string} splitName - The string that represents the split we want to get the treatment.
 * @param {Attributes=} attributes - An object of type Attributes defining the attributes for the given key.
 * @returns {[string, string | null]} Tuple with treatment first and config second.
 */
export declare const useSplit: (splitName: string, attributes?: Attributes | undefined) => [string, string | null];
